[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# InquireSignal

Check whether a signal handler is set (unix only)

## Declaration

Source position: sysutils.pp line 60

`function InquireSignal(`
`RtlSigNum: Integer`
`):TSignalState;`

## Description

RtlSigNum will check whether the signal RtlSigNum is being handled, and by whom. It returns a TSignalState result to report the state of the signal, which can be one of the following values:

ssNotHooked
  No signal handler is set for the signal.
ssHooked
  A signal handler is set by the RTL code for the signal.
ssOverridden
  A signal handler was set for the signal by third-party code.

This routine works by resetting the signal handlers, so it is risky to call.

Documentation generated on: Feb 26 2014